org.richfaces.renderkit

## Class ListShuttleRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.AbstractRowsRenderer
        - - org.richfaces.renderkit.OrderingComponentRendererBase
          - - org.richfaces.renderkit.ListShuttleRendererBase

- All Implemented Interfaces:
    org.ajax4jsf.model.DataVisitor, org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    ListShuttleRenderer

      public abstract class ListShuttleRendererBase
      extends OrderingComponentRendererBase

  Author:
    Nick Belaevski

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.richfaces.renderkit.OrderingComponentRendererBase

      `OrderingComponentRendererBase.ControlsHelper, OrderingComponentRendererBase.SelectionState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FACET_SOURCE_CAPTION`
    `static java.lang.String` | `FACET_TARGET_CAPTION`
    `protected static java.lang.String` | `SELECTION_STATE_VAR_NAME`
    `protected static OrderingComponentRendererBase.ControlsHelper[]` | `SHUTTLE_HELPERS`
    `protected static OrderingComponentRendererBase.ControlsHelper[]` | `TL_HELPERS`

    - ### Fields inherited from class org.richfaces.renderkit.OrderingComponentRendererBase

      `ATTRIBUTE_CE_ONHEADERCLICK, ATTRIBUTE_CONTROLS_TYPE, CONTROL_TYPE_BUTTON, CONTROL_TYPE_LINK, CONTROL_TYPE_NONE, SHOW_LABELS_ATTRIBUTE_NAME`

    - ### Fields inherited from class org.richfaces.renderkit.AbstractRowsRenderer

      `CELL_CLASS_KEY, ROW_CLASS_KEY, SKIN_CELL_CLASS_KEY, SKIN_FIRST_ROW_CLASS_KEY, SKIN_ROW_CLASS_KEY, TABLE_EVENT_ATTRS`

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListShuttleRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeOneRow(javax.faces.context.FacesContext context, TableHolder holder)`
    `protected java.lang.String` | `encodeRows(javax.faces.context.FacesContext context, UIOrderingBaseComponent shuttle, boolean source)`
    `void` | `encodeShuttleControlsFacets(javax.faces.context.FacesContext context, UIOrderingBaseComponent component, OrderingComponentRendererBase.SelectionState sourceSelectionState, OrderingComponentRendererBase.SelectionState targetSelectionState)`
    `void` | `encodeSLCaption(javax.faces.context.FacesContext context, UIOrderingBaseComponent shuttle)`
    `void` | `encodeSLHeader(javax.faces.context.FacesContext context, UIOrderingBaseComponent shuttle)`
    `void` | `encodeTLCaption(javax.faces.context.FacesContext context, javax.faces.component.UIComponent shuttle)`
    `void` | `encodeTLControlsFacets(javax.faces.context.FacesContext context, UIOrderingBaseComponent component, OrderingComponentRendererBase.SelectionState selectionState)`
    `void` | `encodeTLHeader(javax.faces.context.FacesContext context, UIOrderingBaseComponent shuttle)`
    `java.lang.String` | `getCaptionDisplay(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `boolean` | `isHeaderExists(javax.faces.context.FacesContext context, UIOrderingBaseComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.OrderingComponentRendererBase

      `encodeBegin, encodeCaption, encodeCaption, encodeCaption, encodeControlFacet, encodeHeader, encodeHeader, encodeHeaderFacets, getAsEventHandler, getClassesAsList, getColumnClassesAsJSArray, getConverter, getItemState, getRowClassesAsJSArray, isHeaderExists, renderDefaultControl`

    - ### Methods inherited from class org.richfaces.renderkit.AbstractRowsRenderer

      `doCleanup, encodeCaption, encodeCellChildren, encodeRowEvents, encodeRows, encodeRows, encodeStyle, encodeStyleClass, encodeTableHeaderFacet, getRendersChildren, process`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeEnd, getComponentClass, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SELECTION_STATE_VAR_NAME

          protected static final java.lang.String SELECTION_STATE_VAR_NAME

      See Also:
        Constant Field Values

    - #### FACET_SOURCE_CAPTION

          public static final java.lang.String FACET_SOURCE_CAPTION

      See Also:
        Constant Field Values

    - #### FACET_TARGET_CAPTION

          public static final java.lang.String FACET_TARGET_CAPTION

      See Also:
        Constant Field Values

    - #### SHUTTLE_HELPERS

          protected static final OrderingComponentRendererBase.ControlsHelper[] SHUTTLE_HELPERS

    - #### TL_HELPERS

          protected static final OrderingComponentRendererBase.ControlsHelper[] TL_HELPERS

  - ### Constructor Detail

    - #### ListShuttleRendererBase

          public ListShuttleRendererBase()

  - ### Method Detail

    - #### encodeSLCaption

          public void encodeSLCaption(javax.faces.context.FacesContext context,
                             UIOrderingBaseComponent shuttle)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeTLCaption

          public void encodeTLCaption(javax.faces.context.FacesContext context,
                             javax.faces.component.UIComponent shuttle)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeSLHeader

          public void encodeSLHeader(javax.faces.context.FacesContext context,
                            UIOrderingBaseComponent shuttle)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeTLHeader

          public void encodeTLHeader(javax.faces.context.FacesContext context,
                            UIOrderingBaseComponent shuttle)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### isHeaderExists

          public boolean isHeaderExists(javax.faces.context.FacesContext context,
                               UIOrderingBaseComponent component)

    - #### encodeRows

          protected java.lang.String encodeRows(javax.faces.context.FacesContext context,
                                    UIOrderingBaseComponent shuttle,
                                    boolean source)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeOneRow

          public void encodeOneRow(javax.faces.context.FacesContext context,
                          TableHolder holder)
                            throws java.io.IOException

      Specified by:
        `encodeOneRow` in class `AbstractRowsRenderer`
      Throws:
        `java.io.IOException`

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `encodeChildren` in class `AbstractRowsRenderer`
      Throws:
        `java.io.IOException`

    - #### encodeShuttleControlsFacets

          public void encodeShuttleControlsFacets(javax.faces.context.FacesContext context,
                                         UIOrderingBaseComponent component,
                                         OrderingComponentRendererBase.SelectionState sourceSelectionState,
                                         OrderingComponentRendererBase.SelectionState targetSelectionState)
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeTLControlsFacets

          public void encodeTLControlsFacets(javax.faces.context.FacesContext context,
                                    UIOrderingBaseComponent component,
                                    OrderingComponentRendererBase.SelectionState selectionState)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### doDecode

          public void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Overrides:
        `doDecode` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### getCaptionDisplay

          public java.lang.String getCaptionDisplay(javax.faces.context.FacesContext context,
                                           javax.faces.component.UIComponent component)

      Overrides:
        `getCaptionDisplay` in class `OrderingComponentRendererBase`

Copyright © 2013. All Rights Reserved.